{* :Front:Hledej:default *}
{block breadcrumbs}
    <nav class="bg-glass" aria-label="breadcrumb">
        <ol class="breadcrumb mb-0 px-3 py-2">
            <li class="breadcrumb-item"><a n:href=":Front:Homepage:default">Úvod</a></li>
            <li class="breadcrumb-item active" aria-current="page"><i class="fa-solid fa-search me-2"></i>Vyhledávání</li>
        </ol>
    </nav>
{/block}
{block content}
<main class="container-xxl content-main">
    <section class="bg-glass mb-3" id="hledej">
        <div class="content-header">
            <h2 n:block=title class="mb-0">Vyhledávání</h2>
        </div>
        <div class="content-date-wrapp">
            <h5 class="mb-0">Hledaný výraz: {$vyraz}</h5>
        </div>
        <div class="content-body">
            {if !empty($stranky)}
                <h5 class="mb-0 bg-content-success px-3 py-2">Stránky</h5>
                <nav class="content mb-3">
                    <ul>
                        {foreach $stranky as $one}
                            <a n:href=":Front:Stranky:Stranka:default $one->url">
                                <li>{$one->nazev}</li>
                            </a>
                        {/foreach}
                    </ul>
                </nav>
            {/if}
        {if !empty($clanky)}
                <h5 class="mb-0 bg-content-success px-3 py-2">Články</h5>
                <nav class="content mb-3">
                    <ul>
                        {foreach $clanky as $one}
                            <a n:href=":Front:Clanky:Detail:default $one->url">
                                <li>{$one->nazev}</li>
                            </a>
                        {/foreach}
                    </ul>
                </nav>
            {/if}
        {if !empty($fulltextClanky || $fulltextStranky)}
                <h5 class="mb-0 bg-content-success px-3 py-2">Fulltext vyhledávání</h5>
                <div class="content mb-3">
                    {if !empty(fulltextClanky)}
                        {foreach $fulltextClanky as $one}
                            <div class="seo-thumb p-3">
                                <div class="name">
                                    <a n:href=":Front:Clanky:Detail:default $one->url" class="text-primary">
                                        {$one->nazev} | {$baseInfo['siteName']}
                                    </a>
                                </div>
                                <div class="address">
                                    {$baseInfo['address']}{$one->url}
                                </div>
                                <div class="seo-content">
                                    {$one->meta_desc}
                                </div>
                            </div>
                        {/foreach}
                    {/if}
                {if !empty($fulltextStranky)}
                        {foreach $fulltextStranky as $one}
                            <div class="seo-thumb p-3">
                                <div class="name">
                                    <a n:href=":Front:Stranky:Stranka:default $one->url" class="text-primary">
                                        {$one->nazev} | {$baseInfo['siteName']}
                                    </a>
                                </div>
                                <div class="address">
                                    {$baseInfo['address']}{$one->url}
                                </div>
                                <div class="seo-content">
                                    {$one->meta_desc}
                                </div>
                            </div>
                        {/foreach}
                    {/if}
                </div>
            {/if}
        {if empty($stranky) && empty($clanky) && empty($fulltextClanky) && empty($fulltextStranky)}
                <div class="content mb-3">
                    <h5>Žádný výsledek.</h5>
                </div>
            {/if}
        </div>
    </section>
</main>